数据提供商: OpenAlex
按姓名搜索研究人员
$0.0011 / 次调用在 25 秒内响应
可以按姓名搜索 OpenAlex 作者,包括各种常见的姓名变体,系统会返回每位研究者的 OpenAlex id、ORCID、当前及以往所属机构、总论文数量、总被引用次数以及主要研究领域等信息。按机构 ROR 或国家代码筛选,并按相关性、成果数量或引用次数排序。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the OpenAlex endpoint /authors?search=true on Glasser.bash
glasser run -p openalex -e '/authors?search=true' -i '{"search":"Jason Priem","per_page":10}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"openalex","endpoint":"/authors?search=true","input":{"search":"Jason Priem","per_page":10},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
开始文献综述时,可以查找与研究问题相关的学术记录,决定接下来阅读哪些资料。
复制此提示词到你的 Agent,查找文献综述所需的记录。
提示词
Use openalex:/authors?search=true on Glasser.
Find returned academic records relevant to my literature-review question.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"search"
],
"properties": {
"page": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"sort": {
"enum": [
"relevance_score:desc",
"works_count:desc",
"cited_by_count:desc",
"cited_by_count:asc"
],
"type": "string"
},
"cursor": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"search": {
"type": "string",
"maxLength": 200,
"minLength": 2
},
"per_page": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"country_code": {
"type": "string",
"pattern": "^[A-Za-z]{2}$"
},
"institution_ror": {
"type": "string",
"pattern": "^(https:\\/\\/ror\\.org\\/)?0[a-hj-km-np-tv-z0-9]{6}[0-9]{2}$"
}
},
"additionalProperties": false
}json
{
"search": "Jason Priem",
"per_page": 10
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.0011 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |